Package org.apache.tapestry5.upload.internal.services

# Class ParametersServletRequestWrapper

java.lang.Object
javax.servlet.ServletRequestWrapper
javax.servlet.http.HttpServletRequestWrapper
org.apache.tapestry5.upload.internal.services.ParametersServletRequestWrapper

All Implemented Interfaces:
  `javax.servlet.http.HttpServletRequest`, `javax.servlet.ServletRequest`

public class ParametersServletRequestWrapper extends javax.servlet.http.HttpServletRequestWrapper
Wrapper for HttpServletRequest that overrides the parameter methods of the wrapped request. i.e. parameters are retrieved from the wrapper rather than the real request.

- ## Field Summary

  ### Fields inherited from interface javax.servlet.http.HttpServletRequest

  `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParametersServletRequestWrapper(javax.servlet.http.HttpServletRequest httpServletRequest)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addParameter(String name, String value)`
  `String`
  `getParameter(String name)`
  `Map<String,String[]>`
  `getParameterMap()`
  `Enumeration<String>`
  `getParameterNames()`
  `String[]`
  `getParameterValues(String name)`
  `void`
  `setCharacterEncoding(String enc)`
  Ignores any attempt to set the character encoding, as it already has been set before the request content was parsed.

  ### Methods inherited from class javax.servlet.http.HttpServletRequestWrapper

  `authenticate, getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPart, getParts, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole, login, logout`

  ### Methods inherited from class javax.servlet.ServletRequestWrapper

  `getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, isWrapperFor, isWrapperFor, removeAttribute, setAttribute, setRequest, startAsync, startAsync`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface javax.servlet.ServletRequest

  `getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, removeAttribute, setAttribute, startAsync, startAsync`

- ## Constructor Details

  - ### ParametersServletRequestWrapper

    public ParametersServletRequestWrapper(javax.servlet.http.HttpServletRequest httpServletRequest)

- ## Method Details

  - ### getParameter

    public String getParameter(String name)
    Specified by:
      `getParameter` in interface `javax.servlet.ServletRequest`
    Overrides:
      `getParameter` in class `javax.servlet.ServletRequestWrapper`

  - ### getParameterMap

    public Map<String,String[]> getParameterMap()
    Specified by:
      `getParameterMap` in interface `javax.servlet.ServletRequest`
    Overrides:
      `getParameterMap` in class `javax.servlet.ServletRequestWrapper`

  - ### getParameterNames

    public Enumeration<String> getParameterNames()
    Specified by:
      `getParameterNames` in interface `javax.servlet.ServletRequest`
    Overrides:
      `getParameterNames` in class `javax.servlet.ServletRequestWrapper`

  - ### getParameterValues

    public String[] getParameterValues(String name)
    Specified by:
      `getParameterValues` in interface `javax.servlet.ServletRequest`
    Overrides:
      `getParameterValues` in class `javax.servlet.ServletRequestWrapper`

  - ### addParameter

    public void addParameter(String name, String value)

  - ### setCharacterEncoding

    public void setCharacterEncoding(String enc) throws UnsupportedEncodingException
    Ignores any attempt to set the character encoding, as it already has been set before the request content was parsed.
    Specified by:
      `setCharacterEncoding` in interface `javax.servlet.ServletRequest`
    Overrides:
      `setCharacterEncoding` in class `javax.servlet.ServletRequestWrapper`
    Throws:
      `UnsupportedEncodingException`
    See Also:
      - `TapestryHttpSymbolConstants.CHARSET`